.filter {
    position: relative;
    width: calc(100% - 30px);
    max-width: 1110px;
    margin: 0 auto 25px;
    padding-bottom: 32px;
    background-color: #fff;
    box-shadow: 0 18px 38px rgba(0, 0, 0, 0.11);
    border-radius: 10px;
    color: #79655e;
    font-size: 18px;
    font-weight: 300;
    line-height: 25px;
    z-index: 2;

    &__title {
        position: relative;
        width: 310px;
        height: 55px;
        margin: -30px auto 16px;
        padding: 13.5px 10px;
        border-radius: 67px;
        background-color: inherit;
        font-size: 25.7567px;
        line-height: 26px;
        font-weight: normal;
        letter-spacing: 0.04em;
        text-transform: uppercase;
        text-align: center;

        &:before,
        &:after {
            content: "";
            position: absolute;
            top: -9px;
            width: 98px;
            height: 61px;
            border-top: 1px solid #fff;
        }

        &:before {
            left: 15px;
            border-left: 1px solid #fff;
            border-top-left-radius: 30px;
        }

        &:after {
            right: 15px;
            border-right: 1px solid #fff;
            border-top-right-radius: 30px;
        }

        svg {
            position: absolute;
            left: 50%;
            bottom: calc(100% + 5px);
            width: 49px;
            transform: translateX(-50%);
        }

        @include lg {
            width: 330px;
            margin-bottom: -4px;
        }
    }

    &__form {
        display: flex;
        align-items: center;
        justify-content: center;
        margin: 0 auto;

        @include tablet {
            flex-direction: column;
            max-width: 312px;
        }

        @include lg {
            justify-content: space-between;
            max-width: calc(100% - 52px);
        }
    }

    &__wrap {
        display: flex;
        flex-wrap: wrap;
        align-items: flex-end;
        justify-content: space-between;
        width: calc(100% - 30px);

        @include tablet {
            margin: 0 auto;
        }

        @include lg {
            justify-content: flex-start;
            width: calc(100% - 126px);
            margin-left: 11px;
        }
    }

    &__item {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
        font-family: 'Manrope', sans-serif;
        font-weight: 300;

        @include tablet {
            width: 100%;
            margin-bottom: 23px;
        }

        @include lg {
            width: 25%;
            margin-top: 7px;
        }
    }

    &__item-label {
        display: flex;
        align-items: center;
        justify-content: flex-start;
        font-weight: 300;
        font-size: 18px;
        line-height: 25px;

        img {
            margin-right: 8px;
        }
    }

    &__item-input {
        width: 100%;
        height: 24px;
        padding: 0 0 0 19px;
        border: none;
        color: #0C0B10;
        font-family: 'Manrope', sans-serif;
        font-weight: 600;

        &::-webkit-input-placeholder {
            color: #0C0B10;
        }

        &::-moz-placeholder {
            color: #0C0B10;
        }

        &:-ms-input-placeholder {
            color: #0C0B10;
        }

        &:-moz-placeholder {
            color: #0C0B10;
        }

        &.placeholder {
            color: #0C0B10;
        }

        @include lg {
            font-weight: 500;
        }
    }

    select.filter__item-input {
        margin-left: 25px;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
    }

    &__item--destination {

        @include tablet {
            width: 100%;
            margin-bottom: 23px;
        }

        @include lg {
            width: 36.5%;
        }
    }

    &__item--travel {

        @include tablet {
            width: 100%;
            margin-bottom: 31px;
        }

        @include lg {
            width: 25.8%;

            .filter__item-input {
                font-weight: 600;
            }
        }
    }

    &__item--calendar {

        .filter__item-input {
            margin-left: 24px;
        }

        @include tablet {
            width: calc(50% - 16px);
            margin-bottom: 18px;
        }

        @include lg {
            width: 19.9%;
        }
    }

    &__item--travellers {

        @include tablet {
            width: calc(50% - 16px);
            margin-bottom: 18px;
        }

        @include lg {
            width: 17%;
        }
    }

    .btn {
        width: 312px;
        height: 70px;
        border-radius: 50px;
        background-color: #000;
        color: #fff;
        font-size: 24px;
        line-height: 26px;
        text-transform: uppercase;

        > span {
            letter-spacing: .04em;
        }

        img, svg {
            position: relative;
            top: 3px;
            width: 22px;
        }

        @include lg {
            width: 126px;
        }
    }

    .select {
        width: 100%;
        padding-right: 50px;
    }

    .select__item {
        color: #0c0b10;
    }

    @include lg {
        padding-bottom: 23px;
    }
}
